body {
    background-color: #121212;
    color: #ffffff;
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
    overflow-y: auto;
}

main {
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

h1 {
    text-align: center;
    margin-bottom: 20px;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin: 20px 0;
    background-color: #1e1e1e;
    color: #ffffff;
    border: 1px solid #333333;
    margin-bottom: 5%;
}

thead th {
    background-color: #333333;
    color: #ffffff;
    padding: 10px;
    text-align: left;
    border-bottom: 2px solid #444444;
}

tbody td {
    padding: 10px;
    border-bottom: 1px solid #444444;
}

tbody tr:nth-child(even) {
    background-color: #2a2a2a;
}

tbody tr:hover {
    background-color: #444444;
}


td[colspan] {
    text-align: center;
    font-style: italic;
    color: #aaaaaa;
}

thead th.sorted {
    text-decoration: underline;
    cursor: pointer;
}

